This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 418801 - MacBook Pro booted from EFI gets lockdep warning
MacBook Pro booted from EFI gets lockdep warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 15:58 EST by Peter Jones
Modified: 2009-07-14 11:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Jones 2007-12-10 15:58:40 EST
Description of problem: MacBook Pro booted from EFI gets lockdep warning while
starting X.  Here's the dmesg:

=========================================================
[ INFO: possible irq lock inversion dependency detected ]
2.6.24-0.80.rc4.git6.fc9 #1
---------------------------------------------------------
swapper/0 just changed the state of lock:
 (rtc_lock){.+..}, at: [<c040874c>] update_persistent_clock+0x11/0x2f
but this lock took another, soft-irq-unsafe lock in the past:
 (efi_rt_lock){--..}

and interrupts could create inverse lock ordering between them.


other info that might help us debug this:
no locks held by swapper/0.

the first lock's dependencies:
-> (rtc_lock){.+..} ops: 0 {
   initial-use  at:
                        [<c044d3d9>] __lock_acquire+0x500/0xc4d
                        [<c044dfa0>] lock_acquire+0x7b/0x9e
                        [<c0641e7a>] _spin_lock_irqsave+0x4a/0x77
                        [<c040871f>] read_persistent_clock+0xf/0x2b
                        [<c07875da>] timekeeping_init+0xe/0x160
                        [<c0774915>] start_kernel+0x21a/0x367
                        [<00000000>] 0x0
                        [<ffffffff>] 0xffffffff
   in-softirq-W at:
                        [<c044d353>] __lock_acquire+0x47a/0xc4d
                        [<c044dfa0>] lock_acquire+0x7b/0x9e
                        [<c0641e7a>] _spin_lock_irqsave+0x4a/0x77
                        [<c040874c>] update_persistent_clock+0x11/0x2f
                        [<c0446bae>] sync_cmos_clock+0x49/0xa5
                        [<c04371b0>] run_timer_softirq+0x127/0x18f
                        [<c0434689>] __do_softirq+0x78/0xff
                        [<c0407759>] do_softirq+0x74/0xf7
                        [<ffffffff>] 0xffffffff
 }
 ... key      at: [<c072faf0>] rtc_lock+0x10/0x20
 -> (efi_rt_lock){--..} ops: 0 {
    initial-use  at:
                          [<c044d3d9>] __lock_acquire+0x500/0xc4d
                          [<c044dfa0>] lock_acquire+0x7b/0x9e
                          [<c06419d0>] _spin_lock+0x2e/0x58
                          [<c041f9da>] efi_call_phys_prelog+0x10/0x9c
                          [<c041fb57>] efi_get_time+0x27/0x86
                          [<c042223e>] native_get_wallclock+0x17/0x108
                          [<c0408727>] read_persistent_clock+0x17/0x2b
                          [<c07875da>] timekeeping_init+0xe/0x160
                          [<c0774915>] start_kernel+0x21a/0x367
                          [<00000000>] 0x0
                          [<ffffffff>] 0xffffffff
    softirq-on-W at:
                          [<c044d3c5>] __lock_acquire+0x4ec/0xc4d
                          [<c044dfa0>] lock_acquire+0x7b/0x9e
                          [<c06419d0>] _spin_lock+0x2e/0x58
                          [<c041f9da>] efi_call_phys_prelog+0x10/0x9c
                          [<c07835b2>] efi_enter_virtual_mode+0xcb/0x174
                          [<c07749f6>] start_kernel+0x2fb/0x367
                          [<00000000>] 0x0
                          [<ffffffff>] 0xffffffff
    hardirq-on-W at:
                          [<c044d3a5>] __lock_acquire+0x4cc/0xc4d
                          [<c044dfa0>] lock_acquire+0x7b/0x9e
                          [<c06419d0>] _spin_lock+0x2e/0x58
                          [<c041f9da>] efi_call_phys_prelog+0x10/0x9c
                          [<c07835b2>] efi_enter_virtual_mode+0xcb/0x174
                          [<c07749f6>] start_kernel+0x2fb/0x367
                          [<00000000>] 0x0
                          [<ffffffff>] 0xffffffff
  }
  ... key      at: [<c0732210>] efi_rt_lock+0x10/0x20
 ... acquired at:
   [<c044d955>] __lock_acquire+0xa7c/0xc4d
   [<c044dfa0>] lock_acquire+0x7b/0x9e
   [<c06419d0>] _spin_lock+0x2e/0x58
   [<c041f9da>] efi_call_phys_prelog+0x10/0x9c
   [<c041fb57>] efi_get_time+0x27/0x86
   [<c042223e>] native_get_wallclock+0x17/0x108
   [<c0408727>] read_persistent_clock+0x17/0x2b
   [<c07875da>] timekeeping_init+0xe/0x160
   [<c0774915>] start_kernel+0x21a/0x367
   [<00000000>] 0x0
   [<ffffffff>] 0xffffffff


the second lock's dependencies:
-> (efi_rt_lock){--..} ops: 0 {
   initial-use  at:
                        [<c044d3d9>] __lock_acquire+0x500/0xc4d
                        [<c044dfa0>] lock_acquire+0x7b/0x9e
                        [<c06419d0>] _spin_lock+0x2e/0x58
                        [<c041f9da>] efi_call_phys_prelog+0x10/0x9c
                        [<c041fb57>] efi_get_time+0x27/0x86
                        [<c042223e>] native_get_wallclock+0x17/0x108
                        [<c0408727>] read_persistent_clock+0x17/0x2b
                        [<c07875da>] timekeeping_init+0xe/0x160
                        [<c0774915>] start_kernel+0x21a/0x367
                        [<00000000>] 0x0
                        [<ffffffff>] 0xffffffff
   softirq-on-W at:
                        [<c044d3c5>] __lock_acquire+0x4ec/0xc4d
                        [<c044dfa0>] lock_acquire+0x7b/0x9e
                        [<c06419d0>] _spin_lock+0x2e/0x58
                        [<c041f9da>] efi_call_phys_prelog+0x10/0x9c
                        [<c07835b2>] efi_enter_virtual_mode+0xcb/0x174
                        [<c07749f6>] start_kernel+0x2fb/0x367
                        [<00000000>] 0x0
                        [<ffffffff>] 0xffffffff
   hardirq-on-W at:
                        [<c044d3a5>] __lock_acquire+0x4cc/0xc4d
                        [<c044dfa0>] lock_acquire+0x7b/0x9e
                        [<c06419d0>] _spin_lock+0x2e/0x58
                        [<c041f9da>] efi_call_phys_prelog+0x10/0x9c
                        [<c07835b2>] efi_enter_virtual_mode+0xcb/0x174
                        [<c07749f6>] start_kernel+0x2fb/0x367
                        [<00000000>] 0x0
                        [<ffffffff>] 0xffffffff
 }
 ... key      at: [<c0732210>] efi_rt_lock+0x10/0x20

stack backtrace:
Pid: 0, comm: swapper Not tainted 2.6.24-0.80.rc4.git6.fc9 #1
 [<c040649a>] show_trace_log_lvl+0x1a/0x2f
 [<c0406d41>] show_trace+0x12/0x14
 [<c0407061>] dump_stack+0x6c/0x72
 [<c044b9f0>] print_irq_inversion_bug+0x10c/0x116
 [<c044c3ce>] check_usage_forwards+0x3e/0x44
 [<c044c546>] mark_lock+0x172/0x472
 [<c044d353>] __lock_acquire+0x47a/0xc4d
 [<c044dfa0>] lock_acquire+0x7b/0x9e
 [<c0641e7a>] _spin_lock_irqsave+0x4a/0x77
 [<c040874c>] update_persistent_clock+0x11/0x2f
 [<c0446bae>] sync_cmos_clock+0x49/0xa5
 [<c04371b0>] run_timer_softirq+0x127/0x18f
 [<c0434689>] __do_softirq+0x78/0xff
 [<c0407759>] do_softirq+0x74/0xf7
 =======================
Comment 1 Peter Jones 2007-12-11 18:10:24 EST
Just FWIW, this doesn't actually seem to have anything to do with starting X. 
It just happens randomly while the system is running.
Comment 2 Bug Zapper 2008-05-14 00:09:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Ward 2009-04-06 05:30:05 EDT
~Attention~

This bug appears to pertain to an important F11 feature, EFI, which the Fedora Community will be testing in an upcoming Fedora Test Day. Your participation in the action would be greatly appreciated!

More information:
https://fedoraproject.org/wiki/QA/Test_Days/2009-04-09
https://fedoraproject.org/wiki/Features/EFI
Comment 4 Bug Zapper 2009-06-09 19:17:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 11:40:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.